import request from "@/utils/request";

// 获取基础工艺路线详情
export function getRouteInfo(id: string) {
  return request({
    url: `/api/v1/op/route/get/${id}`,
    method: "get",
  });
}
export function getSeqInInfo(id: string) {
  return request({
    url: `/api/v1/plan/seq/in/stock/get/${id}`,
    method: "get",
  });
}

export class DrawerTitleClass {
  static routeFlowComService = "工艺流程审核";
  static routeFlowService = "产品工艺流程审核";
  static seqInFlowService = "成品入库审核流程"
}

export class TopTitleClass {
  static routeFlowComService = "工艺信息";
  static routeFlowService = "产品工艺信息";
  static seqInFlowService = "成品入库"
}

export class ComponentNameClass {
  static routeFlowComService = "RouteFlowComService";
  static routeFlowService = "RouteFlowService";
  static seqInFlowService = "SeqInFlowService"
}

